summaryrefslogtreecommitdiffstats
path: root/contrib/cmdline/bugs
diff options
context:
space:
mode:
authorgerv%gerv.net <>2001-11-16 02:04:58 +0100
committergerv%gerv.net <>2001-11-16 02:04:58 +0100
commitbfb12ba2bc7c2979ccdc87bac306eb09f367c062 (patch)
tree43903fe9e8afaa8167a27c76c57dfea9837263a3 /contrib/cmdline/bugs
parent0f0a89556565f7cf399e53da9366b90ef5d7a815 (diff)
downloadbugzilla-bfb12ba2bc7c2979ccdc87bac306eb09f367c062.tar.gz
bugzilla-bfb12ba2bc7c2979ccdc87bac306eb09f367c062.tar.xz
Bug 6419 - command-line query tools by Andreas Franke <afranke@ags.uni-sb.de>.
Diffstat (limited to 'contrib/cmdline/bugs')
-rwxr-xr-xcontrib/cmdline/bugs31
1 files changed, 31 insertions, 0 deletions
diff --git a/contrib/cmdline/bugs b/contrib/cmdline/bugs
new file mode 100755
index 000000000..05d4d66ab
--- /dev/null
+++ b/contrib/cmdline/bugs
@@ -0,0 +1,31 @@
+#!/bin/sh
+# The contents of this file are subject to the Mozilla Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/MPL/
+#
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+#
+# The Original Code is the Bugzilla Bug Tracking System.
+#
+# The Initial Developer of the Original Code is
+# Andreas Franke <afranke@ags.uni-sb.de>.
+# Corporation. Portions created by Andreas Franke are
+# Copyright (C) 2001 Andreas Franke. All
+# Rights Reserved.
+#
+# Contributor(s):
+
+buglist="`dirname $0`/buglist"
+htmlfile="`dirname $0`/buglist.html"
+
+${buglist} "$@" 2>&1 1>${htmlfile}
+if test ${?} == "0"; then
+ echo `grep 'TR VALIGN=TOP ALIGN=LEFT CLASS=' ${htmlfile} | sed -e 's/<TR.*id=//' | sed -e 's/".*//'` | sed -e 's/ /\,/g'
+else
+ cat ${htmlfile} 1>&2
+ exit 1
+fi